## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pydantic
Version:        1.10.18
Release:        %autorelease
Summary:        Data validation using Python type hinting

License:        MIT
URL:            https://github.com/pydantic/pydantic
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
# For check phase
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mock)

%global _description %{expand:
Data validation and settings management using python type hinting.}

%description %{_description}


%package -n     python3-pydantic
Summary:        %{summary}
Recommends:     python3-pydantic+email


%description -n python3-pydantic %{_description}


%prep
%autosetup -n pydantic-%{version}


%generate_buildrequires
%pyproject_buildrequires -x email -x dotenv


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pydantic


%check
# Disable mypy plugin tests. We don't use it for downstream packaging.
%pytest -Wdefault --ignore=tests/mypy/test_mypy.py


%files -n python3-pydantic -f %{pyproject_files}
%license LICENSE
%doc README.md docs/

%pyproject_extras_subpkg email,dotenv -n python3-pydantic


%changelog
## START: Generated by rpmautospec
* Sun Sep 22 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10.18-1
- Update to 1.10.18

* Tue Apr 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10.14-1
- Update to 1.10.14.

* Tue Apr 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10.13-1
- Update to 1.10.13.

* Tue Apr 16 2024 Maxwell G <maxwell@gtmx.me> - 1.10.12-1
- Update to 1.10.12.

* Tue Apr 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10.7-2
- Better align packaging style with Fedora
- Package from the GitHub archive instead of the PyPI sdist
- Add metapackages for Python extras
- Package the README.md and documentation sources

* Tue Apr 25 2023 Jiri Kyjovsky <j1.kyjovsky@gmail.com> - 1.10.7-1
- Initial EPEL9 package

## END: Generated by rpmautospec
